Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-4085

Overview

Vulnerability Score 4.4 4.4
CVE Id CVE-2008-4085
Last Modified 20 Aug 2009 12:00:00
Published 15 Sep 2008 01:12:51
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity MEDIUM
Authentication NONE

CVE-2008-4085

Summary

plaiter in Plait before 1.6 allows local users to overwrite arbitrary files via a symlink attack on (1) cut.$$, (2) head.$$, (3) awk.$$, and (4) ps.$$ temporary files in /tmp/.

Vulnerable Systems

Application

  • Stephenjungels Plait 0.50

  • Stephenjungels Plait 0.51

  • Stephenjungels Plait 0.52

  • Stephenjungels Plait 0.53

  • Stephenjungels Plait 0.54

  • Stephenjungels Plait 0.55

  • Stephenjungels Plait 0.55.1

  • Stephenjungels Plait 0.55.2

  • Stephenjungels Plait 0.99

  • Stephenjungels Plait 1.0

  • Stephenjungels Plait 1.1

  • Stephenjungels Plait 1.1.1

  • Stephenjungels Plait 1.2.1

  • Stephenjungels Plait 1.3

  • Stephenjungels Plait 1.4

  • Stephenjungels Plait 1.4.1

  • Stephenjungels Plait 1.4.2

  • Stephenjungels Plait 1.5

  • Stephenjungels Plait 1.5.1

  • Stephenjungels Plait 1.5.2


References

CONFIRM - http://sourceforge.net/project/shownotes.php?group_id=147849&release_id=623154

CONFIRM - https://bugs.gentoo.org/show_bug.cgi?id=235770

XF - plait-file-symlink(44786)

BID - 30928

MLIST - [oss-security] 20081030 CVE requests: tempfile issues for aview, mgetty, openoffice, crossfire

SECUNIA - 31617

CONFIRM - http://dev.gentoo.org/~rbu/security/debiantemp/plait

CONFIRM - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496381


Last Updated: 27 May 2016 10:48:22